> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Network Status



## OpenAPI

````yaml post /v2/network-status
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v2/network-status:
    post:
      tags:
        - NetworkStatus
      summary: Create Network Status
      operationId: createNetworkStatus
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNetworkStatusRequest'
            example:
              resourceId: fb701ac1-1246-4860-b1ec-bd916b97a990
      responses:
        '201':
          description: A Network Status Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateNetworkStatusResponse'
              example:
                requestId: 8f0f640d-8ec0-4a6b-9810-a3433004d418
                resourceId: fb701ac1-1246-4860-b1ec-bd916b97a990
                status: OON
                payer:
                  id: '60054'
                  name: Aetna
                providerGroups:
                  - id: cb075a05-4510-456c-addb-fc2efdb74686
                    name: BEHAVIORAL HEALTH CLINICS, LLC
                    status: OON
                    exceptions:
                      - id: 100
                        name: Aetna HM OON
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: requestId
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '429':
          $ref: '#/components/responses/RateLimitExceeded'
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    CreateNetworkStatusRequest:
      type: object
      required:
        - resourceId
      properties:
        resourceId:
          type: string
          description: A Sohar Verification ID
          format: uuid
          example: fb701ac1-1246-4860-b1ec-bd916b97a990
    CreateNetworkStatusResponse:
      type: object
      required:
        - requestId
        - resourceId
        - status
        - payer
        - providerGroups
      properties:
        requestId:
          type: string
          description: Unique identifier for the Network Status request
          format: uuid
          example: 0942a568-b015-438e-b7be-d0234f401f35
        resourceId:
          type: string
          description: The Sohar Verification ID in the request
          format: uuid
          example: fb701ac1-1246-4860-b1ec-bd916b97a990
        status:
          type: string
          description: The overall network status for the Verification
          enum:
            - INN
            - OON
        payer:
          type: object
          required:
            - id
            - name
          properties:
            id:
              type: string
              description: The Payer ID
              example: '60054'
            name:
              type: string
              description: The Payer name
              example: Aetna
        providerGroups:
          type: array
          description: Network status results for each Provider Group
          items:
            type: object
            required:
              - id
              - name
              - status
              - exceptions
            properties:
              id:
                type: string
                description: The Provider Group ID
                format: uuid
                example: cb075a05-4510-456c-addb-fc2efdb74686
              name:
                type: string
                description: The Provider Group name
                example: BEHAVIORAL HEALTH CLINICS, LLC
              status:
                type: string
                description: The network status for this Provider Group
                enum:
                  - INN
                  - OON
              exceptions:
                type: array
                description: Exception rules that apply to this Provider Group
                items:
                  type: object
                  required:
                    - id
                    - name
                  properties:
                    id:
                      type: number
                      description: The Exception ID
                      example: 100
                    name:
                      type: string
                      description: The Exception name
                      example: Aetna HM OON
  responses:
    RateLimitExceeded:
      description: >-
        Too many requests. See [Rate
        Limits](/api-reference/api-reference/rate-limits).
      content:
        application/json:
          schema:
            type: object
            required:
              - error
            properties:
              error:
                type: string
          example:
            error: Too many requests
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer
      description: >-
        Include an OAuth 2.0 bearer token in the `Authorization` header. See
        [Authentication](/api-reference/api-reference/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.